Next Previous Contents

## 13. ID3 Editing.

ID3 tags are information fields contained within the MP3 data that contain information about the MP3 such as who the artist is, what album the track came from, and so on.

Editors allow you to view and edit this information.

## 13.1 id3ed

    [dj@megajukebox]$ id3ed
    id3ed v1.10 - mpeg layer 3 file information editor
    Usage: id3ed [-s songname] [-n artist] [-a album] [-y year] [-c comment]
                 [-k tracknum] [-g genre] [-q] [-SNAYCKG] [-l/-L] [-r]
                 [-i] <mp3files> [-v]

      -q                    no line interface; only set tags specified on command
                            line. Use twice to suppress all output except errors.
      -SNAYCKG              prompt to edit the specified tags only
                            Other tags can still be set with the -[snaycg] options.
      -l/-L                 display list of genres
      -r                    remove id3 tag from files
      -i                    show current id3 tag only, don't edit
      -v                    output program version/license

    [dj@megajukebox MyBand]$ id3ed track01.mp3

    File track01.mp3: (tag v1.1)
    songname[max:30]: Our Kick Ass Demo
    artist[max:30]: Us
    album[max:30]: White Album
    year[max:4]: 1999
    comment[max:28]: Will be a classic some day!
    tracknum[max:3]: 1
    genre[0-255/name]: 5

If we now want to see the Id info we run id3ed with the -i flag, like so:

    [dj@megajukebox MyBand]$ id3ed -i track01.mp3
    track01.mp3: (tag v1.1)
    songname: Our Kick Ass Demo
    artist: Us
    album: White Album
    year: 1999
    comment: Will be a classic some day!
    tracknum: 1
    genre: Funk(5)

## 13.2 mp3info

MP3info works in a similar manner to id3ed, here is a snippet from it's man pages:

    SYNOPSIS
           mp3info [ -option < value > ] filename[s]...

    DESCRIPTION
           This is a small tool to get and set MP3 information.

    OPTIONS
           -T     Do  NOT  get  TAG  Info.  Use on slowseeking media,
                  since TAG is at the very end of the file.

           -s <0/1>
                  Print info. Pretty  much  obsolete,  as  it  always
                  should be on.  Defaults 1.

           -f <format>
                  Format of printed string. See README for details.

           -F <Formatnumber>
                  Predefined format of printed string. Try it out.

           -w     Write  TAG Info. Will write a TAG at the end of the
                  file.
           -W     Wipe TAG Info. Will wipe clean TAG Info.  Overrides
                  all  other  TAG  Options, and turns -s off. To both
                  wipe tag and display info, use -W -s 1

           -n <name>
                  Set song title. Implies -w. Will go away soon,  use
                  -t instead.

           -t <name>
                  Set song title. Alias for -n. Implies -w.

           -a <artist>
                  Set name of artist. Implies -w.

           -l <album>
                  Set album name. Implies -w.

           -y <year>
                  Sets published year. Implies -w.

           -c <comment>
                  Sets comment. Implies -w.

           -g <genre>
                  Set genre number. Implies -w.

           -G <genrename>
                  Set genre by name. Implies -w.

## 13.3 ID3 Genre codes

ID3 uses a code to refer to the genre, here is the code listing [info taken from http://www.id3.org/id3v2-00.txt].

    The following genres are defined in ID3v1

          0.Blues
          1.Classic Rock
          2.Country
          3.Dance
          4.Disco
          5.Funk
          6.Grunge
          7.Hip-Hop
          8.Jazz
          9.Metal
         10.New Age
         11.Oldies
         12.Other
         13.Pop
         14.R&B
         15.Rap
         16.Reggae
         17.Rock
         18.Techno
         19.Industrial
         20.Alternative
         21.Ska
         22.Death Metal
         23.Pranks
         24.Soundtrack
         25.Euro-Techno
         26.Ambient
         27.Trip-Hop
         28.Vocal
         29.Jazz+Funk
         30.Fusion
         31.Trance
         32.Classical
         33.Instrumental
         34.Acid
         35.House
         36.Game
         37.Sound Clip
         38.Gospel
         39.Noise
         40.AlternRock
         41.Bass
         42.Soul
         43.Punk
         44.Space
         45.Meditative
         46.Instrumental Pop
         47.Instrumental Rock
         48.Ethnic
         49.Gothic
         50.Darkwave
         51.Techno-Industrial
         52.Electronic
         53.Pop-Folk
         54.Eurodance
         55.Dream
         56.Southern Rock
         57.Comedy
         58.Cult
         59.Gangsta
         60.Top 40
         61.Christian Rap
         62.Pop/Funk
         63.Jungle
         64.Native American
         65.Cabaret
         66.New Wave
         67.Psychadelic
         68.Rave
         69.Showtunes
         70.Trailer
         71.Lo-Fi
         72.Tribal
         73.Acid Punk
         74.Acid Jazz
         75.Polka
         76.Retro
         77.Musical
         78.Rock & Roll
         79.Hard Rock

       The following genres are Winamp extensions

         80.Folk
         81.Folk-Rock
         82.National Folk
         83.Swing
         84.Fast Fusion
         85.Bebob
         86.Latin
         87.Revival
         88.Celtic
         89.Bluegrass
         90.Avantgarde
         91.Gothic Rock
         92.Progressive Rock
         93.Psychedelic Rock
         94.Symphonic Rock
         95.Slow Rock
         96.Big Band
         97.Chorus
         98.Easy Listening
         99.Acoustic
        100.Humour
        101.Speech
        102.Chanson
        103.Opera
        104.Chamber Music
        105.Sonata
        106.Symphony
        107.Booty Bass
        108.Primus
        109.Porn Groove
        110.Satire
        111.Slow Jam
        112.Club
        113.Tango
        114.Samba
        115.Folklore
        116.Ballad
        117.Power Ballad
        118.Rhythmic Soul
        119.Freestyle
        120.Duet
        121.Punk Rock
        122.Drum Solo
        123.A capella
        124.Euro-House
        125.Dance Hall

Next Previous Contents